<template>
    <v-container>
        <v-row>
            <v-col
            cols="12"
            >
                <v-dialog
                    ref="dialog"
                    v-model="modal"
                    :return-value.sync="date"
                    persistent
                    width="290px"
                >
                    <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                        v-model="dateFormatted"
                        label="เลือกวันที่"
                        prepend-icon="mdi-calendar"
                        readonly
                        v-bind="attrs"
                        v-on="on"
                        
                    ></v-text-field>
                    </template>
                    <v-date-picker
                    v-model="date"
                    :first-day-of-week="0"
                    locale="th-TH"
                    scrollable
                   
                    >
                    <v-spacer></v-spacer>
                    <v-btn
                        text
                        color="primary"
                        @click="modal = false"
                    >
                        Cancel
                    </v-btn>
                    <v-btn
                        text
                        color="primary"
                        @click="$refs.dialog.save(date); getTop5Province();"
                    >
                        OK
                    </v-btn>
                    </v-date-picker>
                </v-dialog>
            </v-col>
        </v-row>
         <v-row dense>
        <v-col 
        v-for="(item, index) in covidData"
        :key="index"
        cols="12"
        >
          <v-card
            color="#EF5350"
            dark
          > 
            <v-card-subtitle >#{{index+1}}</v-card-subtitle>
            <v-card-title class="text-h5 justify-center">
                {{item.province}}
            </v-card-title>
            <v-card-title class="text-h4 font-weight-black justify-center">
                {{item.new_case}}
            </v-card-title>
            <v-card-title class="text-h5 justify-center">
             คน
            </v-card-title>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
</template>
<script>
export default {
    name:'Top5Province',
    data: () => ({
      date: (new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000)).toISOString().substr(0, 10),
      modal: false,
      covidData : [],
      dateFormatted: null,
    }),
    created (){
        this.dateFormatted= this.formatDate((new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000)).toISOString().substr(0, 10))
        this.getTop5Province()
    },
    watch: {
      date (val) {
        this.dateFormatted = this.formatDate(val)
      },
    },
    methods: {
        getTop5Province () {
            this.axios.get(`https://bb1c-2403-6200-8831-8c23-e9be-1eb7-339f-2d93.ngrok.io/api/v1/covid/new_case_top_5_province?date=${this.date}`).then(response => {
                this.covidData = response.data.value
                console.log(this.covidData);
            })
        },
        formatDate (date) {
            if (!date) return null

            const [year, month, day] = date.split('-')
            return `${day}/${month}/${(parseInt(year)+543)}`
        },
    }
}
</script>